# GNUmakefile.in generated automatically by automake 1.4-p4 from GNUmakefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


# The point of this file is to encapsulate all the nasty knowledge
# about options and platforms in one place, so that a makefile down
# the tree can just include this and then use some variables.  This
# makes the job of dealing with regular make files much simpler.  

# automake complains at us if we just if out the gnome-specific parts


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ABIWORD_APP_LIBDIR = @ABIWORD_APP_LIBDIR@
ABIWORD_APP_NAME = @ABIWORD_APP_NAME@
ABI_XML_CONFIG = @ABI_XML_CONFIG@
BE_PLATFORM = @BE_PLATFORM@
BIDI_CFLAGS = @BIDI_CFLAGS@
CC = @CC@
CPP = @CPP@
CXX = @CXX@
DEBUG_CFLAGS = @DEBUG_CFLAGS@
EXPAT_PEERDIR = @EXPAT_PEERDIR@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_CONFIG = @GLIB_CONFIG@
GLIB_LIBS = @GLIB_LIBS@
GMODULE_CFLAGS = @GMODULE_CFLAGS@
GMODULE_LIBS = @GMODULE_LIBS@
GNOME_CFLAGS = @GNOME_CFLAGS@
GNOME_LIBS = @GNOME_LIBS@
GTK_CFLAGS = @GTK_CFLAGS@
GTK_CONFIG = @GTK_CONFIG@
GTK_LIBS = @GTK_LIBS@
ICONV_INCLUDES = @ICONV_INCLUDES@
ICONV_LIBS = @ICONV_LIBS@
LIBICONV_PEERDIR = @LIBICONV_PEERDIR@
LIBJPEG_CFLAGS = @LIBJPEG_CFLAGS@
LIBJPEG_LIBS = @LIBJPEG_LIBS@
LIBPNG_CFLAGS = @LIBPNG_CFLAGS@
LIBPNG_LIBS = @LIBPNG_LIBS@
LIBPNG_PEERDIR = @LIBPNG_PEERDIR@
LIBWMF_CFLAGS = @LIBWMF_CFLAGS@
LIBWMF_CONFIG = @LIBWMF_CONFIG@
LIBWMF_LIBS = @LIBWMF_LIBS@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
OPTIMIZE_CFLAGS = @OPTIMIZE_CFLAGS@
OS_NAME = @OS_NAME@
PACKAGE = @PACKAGE@
PEERDIRS = @PEERDIRS@
PEERS = @PEERS@
PLATFORM = @PLATFORM@
PLATFORM_LIBS = @PLATFORM_LIBS@
PROFILE_CFLAGS = @PROFILE_CFLAGS@
PSICONV_CFLAGS = @PSICONV_CFLAGS@
PSICONV_LIBS = @PSICONV_LIBS@
PSICONV_PEERDIR = @PSICONV_PEERDIR@
PSPELL_LIBS = @PSPELL_LIBS@
RANLIB = @RANLIB@
SCRIPT_CFLAGS = @SCRIPT_CFLAGS@
SCRIPT_LIBS = @SCRIPT_LIBS@
VERSION = @VERSION@
WARNING_CFLAGS = @WARNING_CFLAGS@
WVLIBCFG = @WVLIBCFG@
WV_CFLAGS = @WV_CFLAGS@
WV_LIBS = @WV_LIBS@
WV_PEERDIR = @WV_PEERDIR@
XML_CFLAGS = @XML_CFLAGS@
XML_LIBS = @XML_LIBS@
XSUBPPDIR = @XSUBPPDIR@
ZLIB_CFLAGS = @ZLIB_CFLAGS@
ZLIB_LIBS = @ZLIB_LIBS@
@WITH_GNOME_TRUE@AF_INCLUDES = -I'$(top_srcdir)/src/af/util/xp'  -I'$(top_srcdir)/src/af/ev/xp' -I'$(top_srcdir)/src/af/ev/xp' -I'$(top_srcdir)/src/af/gr/xp' -I'$(top_srcdir)/src/af/xap/xp' -I'$(top_srcdir)/src/af/util/@BE_PLATFORM@' -I'$(top_srcdir)/src/af/ev/@PLATFORM@' -I'$(top_srcdir)/src/af/gr/@PLATFORM@' -I'$(top_srcdir)/src/af/xap/@PLATFORM@' -I'$(top_srcdir)/src/af/xap/@PLATFORM@/gnome' -I'$(top_srcdir)/src/af/ev/@PLATFORM@/gnome'
@WITH_GNOME_FALSE@AF_INCLUDES = -I'$(top_srcdir)/src/af/util/xp'  -I'$(top_srcdir)/src/af/ev/xp' -I'$(top_srcdir)/src/af/ev/xp' -I'$(top_srcdir)/src/af/gr/xp' -I'$(top_srcdir)/src/af/xap/xp' -I'$(top_srcdir)/src/af/util/@BE_PLATFORM@' -I'$(top_srcdir)/src/af/ev/@PLATFORM@' -I'$(top_srcdir)/src/af/gr/@PLATFORM@' -I'$(top_srcdir)/src/af/xap/@PLATFORM@'
@WITH_GNOME_TRUE@WP_INCLUDES = -I'$(top_srcdir)/src/wp/ap/xp' -I'$(top_srcdir)/src/wp/impexp/xp' -I'$(top_srcdir)/src/wp/ap/@PLATFORM@' -I'$(top_srcdir)/src/wp/ap/xp/ToolbarIcons' -I'$(top_srcdir)/src/wp/ap/@PLATFORM@/gnome'
@WITH_GNOME_FALSE@WP_INCLUDES = -I'$(top_srcdir)/src/wp/ap/xp' -I'$(top_srcdir)/src/wp/impexp/xp' -I'$(top_srcdir)/src/wp/ap/@PLATFORM@' -I'$(top_srcdir)/src/wp/ap/xp/ToolbarIcons'
OTHER_INCLUDES = -I'$(top_srcdir)/src/other/spell/xp' -I'$(top_srcdir)/src/other/fribidi/xp'
TEXT_INCLUDES = -I'$(top_srcdir)/src/text/ptbl/xp' -I'$(top_srcdir)/src/text/fmt/xp'

TOOLS_INCLUDES = -I'$(top_srcdir)/src/tools/cdump/xp'
WV_INCLUDES = -I'$(top_srcdir)/../wv/' -I'$(top_srcdir)/../wv/libole2' -I'$(top_srcdir)/../wv/exporter' -I'$(top_srcdir)/../wv/glib-wv'

# expat includes are handled by @XML_INCLUDES@
# iconv includes are handled by @ICONV_INCLUDES@

# these are appropriately empty when the various --enable-foo's are
# off 

ABI_CFLAGS = @WARNING_CFLAGS@ @DEBUG_CFLAGS@ @OPTIMIZE_CFLAGS@ 	@PROFILE_CFLAGS@ @XML_CFLAGS@ @SCRIPT_CFLAGS@ @BIDI_CFLAGS@ 	@PSICONV_CFLAGS@ @WV_CFLAGS@ @LIBWMF_CFLAGS@ @LIBJPEG_CFLAGS@ 	@LIBPNG_CFLAGS@ @ZLIB_CFLAGS@

@WITH_MACOSX_TRUE@MACOSX_CFLAGS = -DXP_MAC_TARGET_MACOSX -DXP_MAC_TARGET_QUARTZ 
@WITH_MACOSX_FALSE@MACOSX_CFLAGS = 
@WITH_CARBON_TRUE@PLATFORM_CFLAGS = @PLATFORM_CFLAGS@ -DXP_MAC_TARGET_CARBON $(MACOSX_CFLAGS)
@WITH_CARBON_FALSE@PLATFORM_CFLAGS = @PLATFORM_CFLAGS@
@WITH_COCOA_TRUE@PLATFORM_CFLAGS = @PLATFORM_CFLAGS@ -DXP_TARGET_COCOA $(MACOSX_CFLAGS)
@WITH_COCOA_FALSE@PLATFORM_CFLAGS = @PLATFORM_CFLAGS@

CXXFLAGS = $(ABI_CFLAGS) $(PLATFORM_CFLAGS) -DABI_BUILD_VERSION=\"@VERSION@\"
CFLAGS = $(ABI_CFLAGS) $(PLATFORM_CFLAGS)

ABI_FE = @ABI_FE@
ABI_BE = @ABI_BE@
ABI_GNOME_PREFIX = Gnome

# PSPELL_LIBS is empty if pspell is not enabled
OTHER_LIBS = @LIBWMF_LIBS@ @PSPELL_LIBS@ @XML_LIBS@ @SCRIPT_LIBS@ 	@PSICONV_LIBS@ @WV_LIBS@ @GLIB_LIBS@ @ICONV_LIBS@ @LIBJPEG_LIBS@ 	@LIBPNG_LIBS@ @ZLIB_LIBS@

@BIDI_ENABLED_TRUE@BIDI_LIBS = $(top_builddir)/src/other/fribidi/xp/libFribidi.a
@BIDI_ENABLED_FALSE@BIDI_LIBS = 
ABI_LIBS = $(top_builddir)/src/wp/ap/libAp.a $(BIDI_LIBS) $(top_builddir)/src/wp/impexp/libImpExp.a $(top_builddir)/src/af/xap/libXap.a $(top_builddir)/src/af/util/libUtil.a $(top_builddir)/src/af/gr/libGr.a $(top_builddir)/src/af/ev/libEv.a $(top_builddir)/src/other/spell/xp/libSpell.a $(top_builddir)/src/text/fmt/xp/libFmt.a $(top_builddir)/src/text/ptbl/xp/libPtbl.a

# we don't assume that WITH_GNOME => unix, on the off chance that
# someday it won't
@WITH_GNOME_TRUE@ABI_GNOME_OBJECTS = xp/*.o @PLATFORM@/*.o @PLATFORM@/gnome/*.o

ABI_OBJECTS = xp/*.o @PLATFORM@/*.o 

SUFFIXES = .mm

# MacOS X resource compiling
# TODO add autoconf macros to detect Rez, ResMerger and other stuff. 
#      currently we use the hardcode locations
@WITH_MACOSX_TRUE@REZ = /Developer/Tools/Rez
@WITH_MACOSX_TRUE@RESMERGER = /Developer/Tools/ResMerger
@WITH_MACOSX_TRUE@ABI_MACREZ_INCS = -i $(top_builddir)/src/af/xap/mac
@WITH_MACOSX_TRUE@ABI_MACREZ_OPTS = $(ABI_MACREZ_INCS) -d REZ_CARBON -F Carbon -F HIToolbox -useDF

SUBDIRS = xp @PLATFORM@

noinst_LIBRARIES = libGr.a

libGr_a_SOURCES = 

libGr_a_LIBADD = $(ABI_OBJECTS)
mkinstalldirs = $(SHELL) $(top_srcdir)/ac-helpers/mkinstalldirs
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) 
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libGr_a_DEPENDENCIES =  xp/*.o @PLATFORM@/*.o
libGr_a_OBJECTS = 
AR = ar
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  GNUmakefile.am GNUmakefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(libGr_a_SOURCES)
OBJECTS = $(libGr_a_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .mm .o .s
$(srcdir)/GNUmakefile.in: GNUmakefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4) $(top_srcdir)/includes.mk
	cd $(top_srcdir) && $(AUTOMAKE) --foreign src/af/gr/GNUmakefile

GNUmakefile: $(srcdir)/GNUmakefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

libGr.a: $(libGr_a_OBJECTS) $(libGr_a_DEPENDENCIES)
	-rm -f libGr.a
	$(AR) cru libGr.a $(libGr_a_OBJECTS) $(libGr_a_LIBADD)
	$(RANLIB) libGr.a

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.

@SET_MAKE@

all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" = "." && dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
   if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
   fi; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/af/gr

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --foreign src/af/gr/GNUmakefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    chmod 777 $(distdir)/$$subdir; \
	    (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir=../$(top_distdir) distdir=../$(distdir)/$$subdir distdir) \
	      || exit 1; \
	  fi; \
	done
info-am:
info: info-recursive
dvi-am:
dvi: dvi-recursive
check-am: all-am
check: check-recursive
installcheck-am:
installcheck: installcheck-recursive
install-exec-am:
install-exec: install-exec-recursive

install-data-am:
install-data: install-data-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-recursive
uninstall-am:
uninstall: uninstall-recursive
all-am: GNUmakefile $(LIBRARIES)
all-redirect: all-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs: installdirs-recursive
installdirs-am:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstLIBRARIES mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-recursive

clean-am:  clean-noinstLIBRARIES clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-recursive

distclean-am:  distclean-noinstLIBRARIES distclean-compile \
		distclean-tags distclean-generic clean-am

distclean: distclean-recursive

maintainer-clean-am:  maintainer-clean-noinstLIBRARIES \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-recursive

.PHONY: mostlyclean-noinstLIBRARIES distclean-noinstLIBRARIES \
clean-noinstLIBRARIES maintainer-clean-noinstLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile install-data-recursive \
uninstall-data-recursive install-exec-recursive \
uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
all-recursive check-recursive installcheck-recursive info-recursive \
dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs-am \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean

.mm.o:
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(AM_OBJCFLAGS) $(OBJCFLAGS) $<

@WITH_MACOSX_TRUE@%.rsrc: %.r
@WITH_MACOSX_TRUE@	$(REZ) -o $@ $(ABI_MACREZ_INCS) $(ABI_MACREZ_OPTS) $<

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
